Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.impl.digester.elements
Class ListEntries

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.ListEntries

All Implemented Interfaces:
  ListEntries

public class ListEntries
extends java.lang.Object
implements ListEntries

Author:
  Oliver Rossmueller

Nested Class Summary
`static class` | `ListEntries.Entry`

Constructor Summary
`ListEntries()`

Method Summary
`void` | `addEntry(ListEntries.Entry entry)`
`java.util.Iterator` | `getListEntries()`
`java.lang.String` | `getValueClass()`
`void` | `setValueClass(java.lang.String valueClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListEntries

    public ListEntries()

Method Detail

### getValueClass

    public java.lang.String getValueClass()

  Specified by:
    `getValueClass` in interface `ListEntries`

### setValueClass

    public void setValueClass(java.lang.String valueClass)

### addEntry

    public void addEntry(ListEntries.Entry entry)

### getListEntries

    public java.util.Iterator getListEntries()

  Specified by:
    `getListEntries` in interface `ListEntries`
  Returns:
    Iterator over `ListEntry` entries

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD